- entry_type: "violation_sequence"
  metadata:
    format_version: "2.0"
    uuid: c2156494-52e1-478c-8c26-cf6d8416683c
    creation_time: "2024-04-29T13:13:07+02:00"
    producer:
      name: "Paulina"
      version: "thesis"
    task:
      input_files:
      - "while.c"
      input_file_hashes:
        while.c: 9c05ddedcb07da7a4eb93e244e7b0495d270511cd41cd755861ccfa605097f8b
      specification: "G ! call(reach_error())"
      data_model: "LP64"
      language: "C"
  content:
  - segment:
    - waypoint:
        type: "assumption"
        action: "follow"
        constraint:
          value: "a == 5"
          format: "c_expression"
        location:
          file_name: "while.c"
          line: 18
          column: 5
  - segment:
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "true"
        location:
          file_name: "while.c"
          line: 21
          column: 5
  - segment:
    - waypoint:
        type: "assumption"
        action: "follow"
        constraint:
          value: "n == 6"
          format: "c_expression"
        location:
          file_name: "while.c"
          line: 23
          column: 9
  - segment:
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "false"
        location:
          file_name: "while.c"
          line: 21
          column: 5
  - segment:
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "true"
        location:
          file_name: "while.c"
          line: 28
          column: 5
  - segment:
    - waypoint:
        type: "target"
        action: "follow"
        location:
          file_name: "while.c"
          line: 29
          column: 9

